clear all; close all; addpath('matlab');

load inputs.mat
load meanbdE.mat
load diffusionenergy.mat
tmax = [55 50 40 35 30 25]; % 
freq =3; % 1 = 3Hz, 2 = 6Hz ... 6 = 18Hz

stn = unique(station);


for zz = 1:length(stn)
   display(char(stn(zz))) 
   
%     if char(stn(zz)) == 'JRO'
%         dst=10;
%     elseif char(stn(zz)) == 'FL2'
%         dst=10;
%     elseif char(stn(zz)) == 'ELK'
%         dst=10;
%     elseif char(stn(zz)) == 'MTM'
%         dst=10;
%     elseif char(stn(zz)) == 'CDF'
%         dst=10;
%     elseif char(stn(zz)) == 'TDL'
%         dst=10;
%     elseif char(stn(zz)) == 'SOS'
%         dst=4;
%     elseif char(stn(zz)) == 'EDM'
%         dst=4;
%     elseif char(stn(zz)) == 'JUN'
%         dst=4;
%     elseif char(stn(zz)) == 'SHW'
%         dst=4;
%     elseif char(stn(zz)) == 'YEL'
%         dst=4;
%     elseif char(stn(zz)) == 'HSR'
%         dst=4;
%     else
%         dst=4;
%     end
    
    if char(stn(zz)) == 'JRO'
        dst=10;
    elseif char(stn(zz)) == 'FL2'
        dst=10.75;
    elseif char(stn(zz)) == 'ELK'
        dst=12.45;
    elseif char(stn(zz)) == 'MTM'
        dst=11.6;
    elseif char(stn(zz)) == 'CDF'
        dst=12.6;
    elseif char(stn(zz)) == 'TDL'
        dst=11.8;
    elseif char(stn(zz)) == 'SOS'
        dst=4.5;
    elseif char(stn(zz)) == 'EDM'
        dst=5;
    elseif char(stn(zz)) == 'JUN'
        dst=5;
    elseif char(stn(zz)) == 'SHW'
        dst=5.1;
    elseif char(stn(zz)) == 'YEL'
        dst=4.1;
    elseif char(stn(zz)) == 'HSR'
        dst=4.75;
    elseif char(stn(zz)) == 'STD'
        dst=5.2;
    else
        dst=4;
    end
    
b = attenuation(zz,freq); % 3Hz
d = diffusion(zz,freq);
%e0 = mean(sourceenergy(:,freq));

r = dst; % 4 for near, 10 for far


t = [1:1:tmax(freq)];
att = b;
dif = d;

p = 0;
r = 20;
minp = 0.9;

while p < minp
    
r = r - 0.1; 

if r < dst/2
    break
end

e0 = sourceenergy(zz,freq);%/r^2;

for i = 1:max(t)
    
Wtheo(i) = e0*((4*pi*d*t(i))^-1.5)*exp(-((r^2)/(4*d*t(i)))-b*t(i));
Wtheo(i) = log(t(i)^(3/2)*Wtheo(i));

end

    a = strfind(station,stn(zz)); %  Finds current station
    indices = find(~cellfun(@isempty,a));
    Wobs = W(indices,freq,:);
    Wobs = reshape(Wobs,size(Wobs,1),size(Wobs,3));
    winmidobs= winmid(indices,:,freq);
    
    nana = isnan(Wobs(:,1));
    indices = find(nana == 0);
    Wobs = Wobs(indices,:);
    wob2 = mean(winmidobs(indices,:));
    ob2 = real(mean(Wobs));
    
     [h,p] = kstest2(ob2./wob2,Wtheo./t);
    
    if p > minp
    figure
    plot(t,Wtheo,'k--')
    set(gcf,'color','white')
    hold on
    
    ylabel('Energy Density (W) corrected for geometrical spreading')
    xlabel('Time (seconds)')
    plot(wob2,ob2,'k');
   
    title([char(stn(zz)),', r = ',num2str(r),'km, b = ',num2str(att),', d = ',num2str(dif),', p = ',num2str(p)])
    end
end
   
end

%clear Wtheo Wobs windmidobs


